package com.tzld.longarticle.recommend.server.mq;


import com.alibaba.fastjson.JSONObject;
import com.aliyun.openservices.ons.api.Action;
import com.aliyun.openservices.ons.api.ConsumeContext;
import com.aliyun.openservices.ons.api.Message;
import com.aliyun.openservices.ons.api.MessageListener;
import com.tzld.longarticle.recommend.server.model.param.CallbackParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class MessageCallbackCustomer implements MessageListener {

    @Override
    public Action consume(Message message, ConsumeContext consumeContext) {
        System.out.println("Receive: " + message);
        CallbackParam param = JSONObject.parseObject(new String(message.getBody()), CallbackParam.class);
        log.info("param = {}", param);
        return Action.CommitMessage;
    }
}
